<?php
/**
* @package		EasySocial
* @copyright	Copyright (C) Stack Ideas Sdn Bhd. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* EasySocial is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/
defined('_JEXEC') or die('Unauthorized Access');
?>
<div id="es" class="mod-es mod-es-marketplaces <?php echo $lib->getSuffix();?>">
	<div class="es-cards es-cards--<?php echo $params->get('total_columns', 3);?>">
		<?php foreach ($listings as $listing) { ?>
			<div class="es-cards__item">
				<div class="es-card">
					<div class="es-card__hd">
						<a class="embed-responsive embed-responsive-16by9" href="<?php echo $listing->getPermalink();?>">
							<div class="embed-responsive-item es-card__cover" style="background-image : url(<?php echo $listing->getSinglePhoto()?>);background-position: center center;">
							</div>
						</a>
					</div>

					<div class="es-card__bd es-card--border">

						<a class="es-card__title" href="<?php echo $listing->getPermalink();?>"><?php echo $listing->getTitle();?></a>
                    
						<div class="es-card__meta t-lg-mb--sm">
							<ol class="g-list-inline g-list-inline--delimited">
                            	<?php if ($params->get('display_price', true)) { ?>
									<li class="o-label2 o-label2--success">
                                		<?php echo $listing->getPriceTag();?>
                            		</li>
								<?php } ?>                            
								<?php if ($listing->isSold()) { ?>
									<li class="o-label2 o-label2--danger"><?php echo JText::_('COM_ES_MARKETPLACES_SOLD') ?></li>
								<?php } else if ($listing->showStock()) { ?>
									<?php if ($params->get('display_outofstock', true) && !$listing->isStockAvailable()) { ?>
										<li class="o-label2 o-label2--danger"><?php echo JText::_('COM_ES_MARKETPLACES_OUT_OF_STOCK') ?></li>
									<?php } ?>
								<?php } ?>                                                                

							</ol>
						</div>
					</div>
                
					<div class="es-card__ft es-card--border">
						<ul class="g-list-flex">
							<li>
								<div><i class="fa fa-heart"></i> <?php echo $listing->getLikesCount();?></div>
							</li>
							<li>
								<div><i class="fa fa-comment"></i> <?php echo $listing->getCommentsCount();?></div>
							</li>
							<?php if ($params->get('display_address', true) && !empty($listing->address)) { ?>
								<li>                                   
									<i class="fa fa-map-marker-alt"></i>&nbsp; <?php echo ESJString::substr($listing->address, 0, 25) . JText::_('COM_EASYSOCIAL_ELLIPSES'); ?>
								</li>
							<?php } ?>
						</ul>
					</div>                
                          
				</div>
			</div>
		<?php } ?>
	</div>

	<?php if ($params->get('display_alllink', true)) { ?>
	<div>
		<a href="<?php echo ESR::marketplaces();?>" class="btn btn-es-default-o btn-sm btn-block"><?php echo JText::_('MOD_EASYSOCIAL_MARKETPLACES_ALL_LISTINGS'); ?></a>
	</div>
	<?php } ?>
</div>
